com.holonplatform.vaadin.components

## Interface PropertyViewForm.PropertyViewFormBuilder<C extends com.vaadin.ui.Component>

- Type Parameters:
    `C` - Form content component type
  All Superinterfaces:
    ComponentBuilder<PropertyViewForm,PropertyViewForm.PropertyViewFormBuilder<C>>, ComponentConfigurator<PropertyViewForm.PropertyViewFormBuilder<C>>, ComposableComponent.Builder<PropertyValueComponentSource,C,PropertyViewForm.PropertyViewFormBuilder<C>>, PropertyViewGroup.Builder<PropertyViewForm,PropertyViewForm.PropertyViewFormBuilder<C>>
  Enclosing interface:
    PropertyViewForm

      public static interface PropertyViewForm.PropertyViewFormBuilder<C extends com.vaadin.ui.Component>
      extends ComposableComponent.Builder<PropertyValueComponentSource,C,PropertyViewForm.PropertyViewFormBuilder<C>>, PropertyViewGroup.Builder<PropertyViewForm,PropertyViewForm.PropertyViewFormBuilder<C>>, ComponentBuilder<PropertyViewForm,PropertyViewForm.PropertyViewFormBuilder<C>>

  `PropertyViewForm` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyViewForm.PropertyViewFormBuilder<C>` | `hidePropertyCaption(com.holonplatform.core.property.Property<?> property)` Set the caption for the view component bound to given property as hidden.
    `PropertyViewForm.PropertyViewFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, com.holonplatform.core.i18n.Localizable caption)` Set the caption for the view component bound to given property.
    `PropertyViewForm.PropertyViewFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String caption)` Set the caption for the view component bound to given property.
    `PropertyViewForm.PropertyViewFormBuilder<C>` | `propertyCaption(com.holonplatform.core.property.Property<?> property, String defaultCaption, String messageCode, Object... arguments)` Set the caption for the view component bound to given property.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.ComposableComponent.Builder

      `composeOnAttach, composer, initializer`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.PropertyViewGroup.Builder

      `bind, bind, bind, build, hidden, ignoreMissingViewComponents, properties, properties, withPostProcessor`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### propertyCaption

          PropertyViewForm.PropertyViewFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                      com.holonplatform.core.i18n.Localizable caption)

      Set the caption for the view component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the view component caption (not null)
        `caption` - Localizable view component caption
      Returns:
        this

    - #### propertyCaption

          PropertyViewForm.PropertyViewFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                      String caption)

      Set the caption for the view component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the view component caption (not null)
        `caption` - View component caption
      Returns:
        this

    - #### propertyCaption

          PropertyViewForm.PropertyViewFormBuilder<C> propertyCaption(com.holonplatform.core.property.Property<?> property,
                                                                      String defaultCaption,
                                                                      String messageCode,
                                                                      Object... arguments)

      Set the caption for the view component bound to given property. By default, the caption is obtained from `Property` itself (which is `Localizable`).
      Parameters:
        `property` - Property for which to set the view component caption (not null)
        `defaultCaption` - Default caption if no translation is available for given `messageCode` for current Locale, or no `LocalizationContext` is available at all
        `messageCode` - Caption translation message key
        `arguments` - Optional translation arguments
      Returns:
        this

    - #### hidePropertyCaption

          PropertyViewForm.PropertyViewFormBuilder<C> hidePropertyCaption(com.holonplatform.core.property.Property<?> property)

      Set the caption for the view component bound to given property as hidden.
      Parameters:
        `property` - Property for which to hide the view component caption (not null)
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.